Retrieve historical deposit aggregate data
curl --request GET \
--url https://api.eigenexplorer.com/metrics/historical/deposits \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/metrics/historical/deposits"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/metrics/historical/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"timestamp": "2024-04-11T08:31:11.000Z",
"valueEth": 10
}
]
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Historical Metrics
Retrieve historical deposit aggregate data
Returns historical aggregate data for deposits, including the total value of deposits in ETH at specified timestamp values.
GET
/
metrics
/
historical
/
deposits
Retrieve historical deposit aggregate data
Headers
API Token for authentication
Query Parameters
Frequency of data points
Available options:
1d, 7d Type of tally, discrete or cumulative
Available options:
discrete, cumulative Example:
"cumulative"
Start date in ISO string format
Example:
"2024-04-11T08:31:11.000"
End date in ISO string format
Example:
"2024-04-12T08:31:11.000"
Response
The historical aggregate data for deposits, including the total value of deposits in ETH at specified timestamp values.
Show child attributes
Show child attributes
⌘I